import java.io.*;
import java.text.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 * Servlet simplu.
 *
 */

public class ServletulPropriuzis extends HttpServlet {

    /**
     * Raspunsul la o cerere GET catre acest servlet.
     *
     * @param cerereHTTP   Cererea primita de catre servlet-ul curent
     * @param raspunsHTTP  Raspunsul produs de catre servlet-ul curent
     *
     * @exception IOException daca apare o eroare de intrare-iesire
     * @exception ServletException daca apare o eroare la servlet
     */
    public void doGet(HttpServletRequest cerereHTTP, 
                      HttpServletResponse raspunsHTTP)
                          throws IOException, ServletException {

        // Parametrul cerereHTTP este utilizat
        // Obtinerea unei informatii de la cererea HTTP
        String name = (String) cerereHTTP.getParameter("name");

        // Raspunsul este dinamic, de tip HTML
        raspunsHTTP.setContentType("text/html");

        // Flux de caractere pentru scrierea in obiectul raspunsHTTP
        PrintWriter outHTTP = raspunsHTTP.getWriter();

        // Raspunsul HTTP

        // Pagina HTML
        outHTTP.println("<html>");

        // Antet HTML
        outHTTP.println("<head>");
        outHTTP.println("<title> Hello " + name + "! </title>");
        outHTTP.println("</head>");

        // Corp HTML
        outHTTP.println("<body bgcolor=\"white\">");
        outHTTP.println("<h1> Hello " + name + "! </h1>");
        outHTTP.println("</body>");
        outHTTP.println("</html>");
    }
}



